package com.yida.data.system.service;

import com.yida.data.system.constant.PoolConstant;

import org.springframework.scheduling.annotation.Async;

public interface QywxCallbackService {

    String get(String corpId, String msgSignature, String timestamp, String nonce, String echostr);

    String post(String corpId, String msgSignature, String timestamp, String nonce, String body);

    String getNormal(String corpId, String msgSignature, String timestamp, String nonce, String echostr);

    String postNormal(String corpId, String msgSignature, String timestamp, String nonce, String body);

    String getNormalCustomer(String providerCorpId, String corpId, String msgSignature, String timestamp, String nonce, String echostr);

    String postNormalCustomer(String providerCorpId, String corpId, String msgSignature, String timestamp, String nonce, String body);

    String getEvent(String providerCorpId, String corpId, String msgSignature, String timestamp, String nonce, String echostr);

    String postEvent(String providerCorpId, String corpId, String msgSignature, String timestamp, String nonce, String body);
}
